org.fourthline.cling.support.model

## Enum WriteStatus

- java.lang.Object
- - java.lang.Enum<WriteStatus>
  - - org.fourthline.cling.support.model.WriteStatus

- All Implemented Interfaces:
    Serializable, Comparable<WriteStatus>

      public enum WriteStatus
      extends Enum<WriteStatus>

  Author:
    Christian Bauer

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MIXED`
    `NOT_WRITABLE`
    `UNKNOWN`
    `WRITABLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WriteStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WriteStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WRITABLE

          public static final WriteStatus WRITABLE

    - #### NOT_WRITABLE

          public static final WriteStatus NOT_WRITABLE

    - #### UNKNOWN

          public static final WriteStatus UNKNOWN

    - #### MIXED

          public static final WriteStatus MIXED

  - ### Method Detail

    - #### values

          public static WriteStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WriteStatus c : WriteStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WriteStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.